

# BatchGetPentests
<a name="API_BatchGetPentests"></a>

Retrieves information about one or more pentests in an agent space.

## Request Syntax
<a name="API_BatchGetPentests_RequestSyntax"></a>

```
POST /BatchGetPentests HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "string",
   "pentestIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_BatchGetPentests_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_BatchGetPentests_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_BatchGetPentests_RequestSyntax) **   <a name="securityagent-BatchGetPentests-request-agentSpaceId"></a>
The unique identifier of the agent space that contains the pentests.  
Type: String  
Required: Yes

 ** [pentestIds](#API_BatchGetPentests_RequestSyntax) **   <a name="securityagent-BatchGetPentests-request-pentestIds"></a>
The list of pentest identifiers to retrieve.  
Type: Array of strings  
Required: Yes

## Response Syntax
<a name="API_BatchGetPentests_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "notFound": [ "string" ],
   "pentests": [ 
      { 
         "agentSpaceId": "string",
         "assets": { 
            "actors": [ 
               { 
                  "authentication": { 
                     "providerType": "string",
                     "value": "string"
                  },
                  "description": "string",
                  "identifier": "string",
                  "uris": [ "string" ]
               }
            ],
            "documents": [ 
               { 
                  "artifactId": "string",
                  "s3Location": "string"
               }
            ],
            "endpoints": [ 
               { 
                  "uri": "string"
               }
            ],
            "integratedRepositories": [ 
               { 
                  "integrationId": "string",
                  "providerResourceId": "string"
               }
            ],
            "sourceCode": [ 
               { 
                  "s3Location": "string"
               }
            ]
         },
         "codeRemediationStrategy": "string",
         "createdAt": "string",
         "excludeRiskTypes": [ "string" ],
         "logConfig": { 
            "logGroup": "string",
            "logStream": "string"
         },
         "networkTrafficConfig": { 
            "customHeaders": [ 
               { 
                  "name": "string",
                  "value": "string"
               }
            ],
            "rules": [ 
               { 
                  "effect": "string",
                  "networkTrafficRuleType": "string",
                  "pattern": "string"
               }
            ]
         },
         "pentestId": "string",
         "serviceRole": "string",
         "title": "string",
         "updatedAt": "string",
         "vpcConfig": { 
            "securityGroupArns": [ "string" ],
            "subnetArns": [ "string" ],
            "vpcArn": "string"
         }
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetPentests_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [notFound](#API_BatchGetPentests_ResponseSyntax) **   <a name="securityagent-BatchGetPentests-response-notFound"></a>
The list of pentest identifiers that were not found.  
Type: Array of strings

 ** [pentests](#API_BatchGetPentests_ResponseSyntax) **   <a name="securityagent-BatchGetPentests-response-pentests"></a>
The list of pentests that were found.  
Type: Array of [Pentest](API_Pentest.md) objects

## Errors
<a name="API_BatchGetPentests_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_BatchGetPentests_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/BatchGetPentests) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/BatchGetPentests) 